---
title: HTMLImageElement.currentSrc
slug: Web/API/HTMLImageElement/currentSrc
tags:
  - API
  - HTMLImageElement
  - Image
  - Property
  - Reference
  - URL
  - currentSrc
  - source
---
<p>{{APIRef("HTML DOM")}}</p>

<p><span class="seoSummary">The read-only {{domxref("HTMLImageElement")}} property <strong><code>currentSrc</code></strong> indicates the URL of the image which is currently presented in the {{HTMLElement("img")}} element it represents.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>currentSource</em> = <em>htmlImageElement</em>.currentSrc;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}} indicating the full URL of the image currently visible in the {{HTMLElement("img")}} element represented by the <code>HTMLImageElement</code>. This is useful when you provide multiple image options using the {{domxref("HTMLImageElement.sizes", "sizes")}} and/or {{domxref("HTMLImageElement.srcset")}} properties. <code>currentSrc</code> lets you determine which image from the set of provided images was selected by the browser.</p>

<h2 id="Example">Example</h2>

<p>In this example, two different sizes are provided for an image of a clock. One is 200px wide and the other is 400px wide. The {{htmlattrxref("sizes", "img")}} attribute is provided to indicate that the image should be drawn at 50% of the document width if the viewport is under 400px wide; otherwise, the image is drawn at 90% width of the document.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html"> &lt;img src="/files/16797/clock-demo-400px.png"
      alt="Clock"
      srcset="/files/16864/clock-demo-200px.png 200w, /files/16797/clock-demo-400px.png 400w"
      sizes="(max-width: 400px) 50%, 90%"&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">var clockImage = document.querySelector("img");
let p = document.createElement("p");

if (!clockImage.currentSrc.endsWith("200px.png")) {
  p.innerText = "Using the 200px image.";
} else {
  p.innerText = "Using the 400px image!";
}
document.body.appendChild(p);
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", 640, 370)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-img-currentsrc', 'HTMLImageElement.currentSrc')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLImageElement.currentSrc")}}</p>
